//simple linear gradient - lerpColor()
colorMode(HSB);
color c1 = color(200, 200, 153); // Purple Hue, high saturation, middle brightness
color c2 = color(0, 200, 153); // Red Hue, high saturation, middle brightness
color c3 = color(200, 0, 153); // Purple Hue, zero saturation, middle brightness
color c4 = color(0, 200, 0); // Red Hue, high saturation, zero brightness

int numMiddlePoints = 10;
size(1200, 800, P2D);
noFill();
strokeWeight(5);

// Curve #1 interpolate from c1 to c2, changing over the color hue
beginShape();
curveVertex(300, 0);
curveVertex(300, 20);
for (int i = 0; i< numMiddlePoints; i++) {
  color middleColor;
  middleColor = lerpColor(c1, c2, i/float(numMiddlePoints));
  stroke(middleColor);
  curveVertex(random(-200, 200)+300, random(600));
}
curveVertex(300, 780);
curveVertex(300, 800);
endShape();

// Curve #2 interpolate from c1 to c3, changing over the color saturation
beginShape();
curveVertex(600, 0);
curveVertex(600, 20);
for (int i = 0; i< numMiddlePoints; i++) {
  color middleColor;
  middleColor = lerpColor(c1, c3, i/float(numMiddlePoints));
  stroke(middleColor);
  curveVertex(random(-200, 200)+600, random(600));
}
curveVertex(600, 780);
curveVertex(600, 800);
endShape();

// Curve #3 interpolate from c2 to c4, changing over the color brightness 
beginShape();
curveVertex(900, 0);
curveVertex(900, 20);
for (int i = 0; i< numMiddlePoints; i++) {
  color middleColor;
  middleColor = lerpColor(c2, c4, i/float(numMiddlePoints));
  stroke(middleColor);
  curveVertex(random(-200, 200)+900, random(600));
}
curveVertex(900, 780);
curveVertex(900, 800);
endShape();
